Package: org.grails.spring.context.support

## [Java] Class ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry

- org.grails.spring.context.support.ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry

-     protected static class ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry
      extends CacheEntry

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CacheEntry` | `DEFAULT_CACHE_ENTRY_FACTORY, LOG, createdMillis, initialized, lock, readLock, valueRef, writeLock`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertiesHolderCacheEntry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected PropertiesHolder` | `updateValue(PropertiesHolder oldValue, java.util.concurrent.Callable<PropertiesHolder> updater, java.lang.Object cacheRequestObject)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CacheEntry` | `call, expire, getCreatedMillis, getValue, getValue, getValue, getValue, getValue, getValue, getValueWhileUpdating, hasExpired, isInitialized, resetTimestamp, setInitialized, setValue, shouldUpdate, updateValue`

- - ### Constructor Detail

    - #### public PropertiesHolderCacheEntry()

  - ### Method Detail

    - #### @java.lang.Override protected PropertiesHolder updateValue(PropertiesHolder oldValue, java.util.concurrent.Callable<PropertiesHolder> updater, java.lang.Object cacheRequestObject)